package yaes.application.convoydriving;



import java.awt.*;



public class SimEnv extends Canvas {



    /**

     * Comment for <code>serialVersionUID</code>

     */

    private static final long serialVersionUID = 1L;

    private double data[][] = new double[20][2];



    public SimEnv() {

    }



    public void paint(Graphics g) {

        //System.out.println("Paint called");

        g.drawLine(10, 0, 10, 600);

        g.drawLine(80, 0, 80, 600);

        g.drawLine(83, 0, 83, 600);

        g.drawLine(153, 0, 153, 600);

    }



    public void update(Graphics g) {

        //System.out.println("Update called");

        //paint(g);

        g.clearRect(15, 0, 700, 700);

        for (int i = 0; i < data.length; i++) {

            data[i][0] = data[i][0] + Math.floor(data[i][1] / 130) * 20;

            data[i][1] = data[i][1] % 130;

            g.drawOval((int) data[i][0] * 4 - 10, (int) data[i][1] * 4 - 10,

                       5 * 4, 5 * 4);

            g.fillOval((int) data[i][0] * 4 - 10, (int) data[i][1] * 4 - 10,

                       5 * 4, 5 * 4);

            g.drawOval((int) data[i][0] * 4 - 20, (int) data[i][1] * 4 - 20,

                       10 * 4, 10 * 4);

        }

    }



    public void setData(int id, double x, double y) {

        data[id][0] = x;

        data[id][1] = y;

    }



    public static void main(String[] args) {

        SimEnv simEnv1 = new SimEnv();

        simEnv1.setSize(700, 700);

        simEnv1.setVisible(true);

    }

}