package yaes.application.convoydriving;

import java.awt.Frame;
import java.awt.Graphics;

public class SimEnvFrame extends Frame {

    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 3257283647488208949L;
    SimEnv env;

    public SimEnvFrame() {
        this.setBounds(50, 50, 700, 700);
        env = new SimEnv();
        /*
         env.setData(0,10,10);
         env.setData(1,10,13);
         env.setData(2,10,15);
         env.setData(3,10,20);
         */
        this.add(env);
    }

    public void simulate() {
        for (int i = 0; i < 100; i++) {
            try {
                Thread.sleep(100);
            } catch (Exception ex) {
                ex.printStackTrace();
            }
            env.setData(0, 10, 10 + i);
            env.setData(1, 12, 13 + i);
            env.setData(2, 12, 16 + i);
            env.setData(3, 10, 20 + i);
            env.repaint();
        }
    }

    public void setLocation(int id, double xPos, double yPos) {
        env.setData(id, xPos, yPos);
        env.repaint();
    }

    public void paint(Graphics g) {
        System.out.println("frame paint called ...");
    }

    public static void main(String[] args) {
        SimEnvFrame simEnvFrame1 = new SimEnvFrame();
        simEnvFrame1.setVisible(true);
        simEnvFrame1.simulate();
    }
}