/*
 * Created on Mar 25, 2005
 *
 */
package yaes.application.eel6938.classagents.cxbr;

import yaes.application.eel6938.game.objects.Agent;
import yaes.application.eel6938.classagents.CxBRAgent;

/**
 * This class represents the MateContext
 * @author Viet Trinh
 *
 */
public class MateContext extends CxBR_Context 
{
	private int _children = 0;
	
	/**
	 * Constructor
	 * @param name Name of the Agent
	 * @param a Agent
	 * @param m Map
	 */
	public MateContext(String name, Agent a, CxBR_Map m) 
	{
		super(name, a, m);
	}

	@Override
	public void execute() 
	{
		if (this._children < CxBRAgent.MAX_CHILDREN)
		{
			this._agent.mate();
			this._children++;
		}
	}

	@Override
	public String executeSentinelRules() 
	{
		return "ExploreContext";
	}
	
	@Override
	public int[] getColor()
	{
		//Pink
		int[] rgb = new int[3];
		rgb[0]=255; rgb[1]=182; rgb[2]=182; 
		return rgb;
	}
}
