package yaes.application.marketgrid.resource;


/**
 *  Chunk of use (allocation) of resource. It forces single value during period.
 *  For variations in quantity, use multiple instances.
 */
public class UsageChunk{

  /**
   *    User that allocated resource
   */
  public String user = null;
  /**
   *    Timestamp when use of resource began
   */
  //public Calendar startTime;
  public double startTime = 0.0;

  /**
   *    Timestamp when use of resource ceased
   */
  //public Calendar endTime;
  public double endTime = 0.0;

  /**
   *    Quantity (measure of units) being allocated from startTime till endTime
   */
  public double quantity = 0.0;
}

