package yaes.application.uavaltclient.coalitionformation.timing;



/**

 * @author dejongp

 *

 * To change the template for this generated type comment go to

 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments

 */

public class JavaTiming extends Timing

{

	private long startT;

	private long finishT;

  

	/**

	 * Returns time taken between startT and finishT, in seconds.

	 * 

	 * @return time taken between startT and finishT, in seconds 

	 */

	public double getElapsedTime()

	{

		double d = finishT - startT;

		return d / 1000;		

	}



	/**

	 * Start the timer.

	 */

	public void start()

	{

		startT = System.currentTimeMillis();

	}



	/**

	 * Finish the timer.

	 */

	public void finish()

	{

		finishT = System.currentTimeMillis();

	}

}

