package yaes.framework;



import java.io.FileOutputStream;

import java.util.Properties;



/**	

 *  Description of the Class

 *

 *@author     Lotzi Boloni

 *@created    December 29, 2002

 */

public class Version {



    public static final String PROJECTNAME = "YAES: Yet Another Extensible Simulator";

    /**

     *  Description of the Field

     */

    public static String VERSION_DATE = "March 16th, 2005";

    // Use: Development, Alpha, Beta, Release

    /**

     *  Description of the Field

     */

    public static String VERSION_STATUS = "Development";

    /**

     *  Description of the Field

     */

    public static int VERSION_MAJOR = 0;

    /**

     *  Description of the Field

     */

    public static int VERSION_MINOR = 9;

    /**

     *  Description of the Field

     */

    public static int VERSION_MICRO = 17;



    /**

     *  Description of the Method

     *

     *@return    Description of the Return Value

     */

    public static String versionString() {

        return PROJECTNAME + " " + VERSION_MAJOR + "." + VERSION_MINOR + "."

                + VERSION_MICRO + " (" + VERSION_DATE + ")";

    }



    public static String versionStringNoDate() {

        return PROJECTNAME + " " + VERSION_MAJOR + "." + VERSION_MINOR + "."

                + VERSION_MICRO;

    }



    /**

     *  Description of the Method

     *

     *@return    Description of the Return Value

     */

    public static String versionNumberString() {

        return "" + VERSION_MAJOR + "." + VERSION_MINOR + "." + VERSION_MICRO;

    }



    /**

     *  Description of the Method

     *

     *@return    Description of the Return Value

     */

    public static int versionNumber() {

        return 10000 * VERSION_MAJOR + 100 * VERSION_MINOR + VERSION_MICRO;

    }



    /**

     *  Creates a property file for the use of the ant generator

     *

     *@param  args  The command line arguments

     */

    public static void main(String[] args) {

        try {

            System.out.println("Created the version property:"

                    + versionNumberString());

            Properties property = new Properties();

            property.setProperty("version", versionNumberString());

            FileOutputStream fos = new FileOutputStream("version.properties");

            property.store(fos, "Yaes");

            fos.close();

        } catch (Exception ex) {

            ex.printStackTrace();

        }

    }

}